## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface LogExp

All Superinterfaces:
  ImperativeExpression

All Known Implementing Classes:
  LogExpImpl

    public interface LogExp

extends ImperativeExpression

A representation of the model object 'Log Exp'.

The following features are supported:

- `Condition`

See Also:
  `ImperativeOCLPackage.getLogExp()`

Method Summary
`OCLExpression` `getCondition()` Returns the value of the 'Condition' containment reference
`void` `setCondition(OCLExpression value)` Sets the value of the '`Condition`' containment reference

Method Detail

### getCondition

    OCLExpression getCondition()

  Returns the value of the 'Condition' containment reference.

  If the meaning of the 'Condition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Condition' containment reference.
  See Also:
    `setCondition(OCLExpression)`, `ImperativeOCLPackage.getLogExp_Condition()`

### setCondition

    void setCondition(OCLExpression value)

  Sets the value of the '`Condition`' containment reference.

  Parameters:
    `value` - the new value of the 'Condition' containment reference.
  See Also:
    `getCondition()`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.